> ## Documentation Index
> Fetch the complete documentation index at: https://docs.risos.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch monitors



## OpenAPI

````yaml /openapi.yaml patch /monitors/{id}
openapi: 3.1.0
info:
  title: RISOS API
  version: current
  description: >-
    Current RISOS Products, Projects, ResearchJobs, Living Deliverables, and
    ongoing intelligence.
servers:
  - url: /api/rest
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Products
  - name: Projects
  - name: Research
  - name: Intelligence
  - name: Monitor
  - name: Reports
paths:
  /monitors/{id}:
    parameters:
      - $ref: '#/components/parameters/Id'
    patch:
      tags:
        - Monitor
      operationId: updateMonitor
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Monitor updated
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: RISOS API key
      description: >-
        Scopes: research:read, research:write, evidence:read, monitor:read,
        monitor:write, mcp:use

````